"""empty message

Revision ID: 30440bb32554
Revises: 2fe7e93e063f
Create Date: 2018-05-17 11:38:11.300172

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '30440bb32554'
down_revision = '2fe7e93e063f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('orders',
    sa.Column('id_order', sa.Integer(), nullable=False),
    sa.Column('hp_pedagang', sa.String(length=12), nullable=True),
    sa.Column('hp_pembeli', sa.String(length=12), nullable=True),
    sa.Column('status', sa.String(length=25), nullable=False),
    sa.Column('harga_total', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['hp_pedagang'], ['pedagang.no_hp'], onupdate='CASCADE', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['hp_pembeli'], ['pembeli.no_hp'], onupdate='CASCADE', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id_order')
    )
    op.create_table('order_details',
    sa.Column('id_order', sa.Integer(), nullable=False),
    sa.Column('id_menu', sa.Integer(), nullable=True),
    sa.Column('no_hp', sa.String(length=12), nullable=True),
    sa.Column('quantity', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_order'], ['orders.id_order'], onupdate='CASCADE', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id_order')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('order_details')
    op.drop_table('orders')
    # ### end Alembic commands ###
